# EVA Overview

A thorough understanding of extreme value analysis is important for properly assessing the extrene loads that may act on our HOS structures during their design lifetime. This chapter contains six videos that will explain how EVA is covered in this unit. A separate chapter in this online textbook covers the theoretical aspects.

The videos below are around 50 minutes length combined.(3, 6.5, 7.5, 11, 11, 9 min each). They are roughly equivalent to what we would cover in a 2 hour in-class lecture, and are meant to give an introduction and overview to the topics covered in the EVA theory chapter. 

```{eval-rst}
:download:`Download slides (PDF) for all 6 videos. <./Slides EVA Videos.pdf>`
```

**1. Introduction to EVA and overview**

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/xz9v7ep2yyQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```

**2. Design requirements**: Bernoulli trial and Binomial distribution

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/falKZJTjygQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```

**3. Block Maxima and Generalized Extreme Value distribution**: 

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/suWveY08DNY" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```

**4. Peak Over Threshold and Generalized Pareto distribution**: Introduction

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/5HGsnhPtiA8" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```

**5. Peak Over Threshold and Generalized Pareto distribution**: Poisson process

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/UcKGEnIc3K8" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```

**6. Peak Over Threshold and Generalized Pareto distribution**: Threshold and declustering time selection

```{eval-rst}
.. raw:: html

   <iframe width="560" height="315" src="https://www.youtube.com/embed/iAfmtUEmQFo" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
```
