
# GPD: *m* Return Levels

Now you know a bit more about the GPD distribution. Here, we will see some considerations to keep in mind when applying it to model extremes.

We already saw that we are interested in evaluating the return level of the studied variable: the $N$-year return level $x_N$, which is expected to be exceeded once every $N$ years. **How can we do that?**

Imagine that we have already fitted a GPD with $\xi \neq 0$, so the exceedance probabilities can be computed as

$
P[X>x|X>th] = \left(1+\frac{\xi (x-th)}{\sigma_{th}}\right)^{-1/\xi}
$

GPD is a conditional distribution ($X>th$), so we need to account for the probability of being above the threshold and, thus, observing an excess, $P[X>th] = \zeta_{th}$. Therefore, writing it in terms of exceedance probabilities

$
P[X>x]=P[X>th] \ P[X>x|X>th] = \zeta_{th} \ \left(1+\frac{\xi (x-th)}{\sigma_{th}}\right)^{-1/\xi}
$

Note that $\zeta_{th}$ depends on the selected threshold. 

Then, the return level $x_m$ exceeded in average every $m$ observations is computed as

$
1/m = \zeta_{th} \left[ 1+\xi \frac{(x_m-th)}{\sigma_{th}}\right]^{-1/ \xi}
$

which leads to

$
x_m = th + \frac{\sigma_{th}}{\xi} \left[(m\zeta_{th})^{\xi}-1\right]
$

which is valid for large values of $m$ to ensure $x_m > th$.

For $\xi = 0$ the same procedure can be performed, obtaining

$
x_m = th + \sigma_{th} log(m\zeta_{th})
$

**$x_m$ is called the $m$-observations return level.**
## From $m$-observations to $N$-years

In Civil Engineering field, we typically work with $N$-year return levels. Then, we need to account for the number of observations per year, $n_y$, being $m=N \times n_y$. Applying this in the previously derived equations, we can compute the $N$-year return level as

$
x_N = \left\{
    \begin{array}{ll}
        th + \frac{\sigma_{th}}{\xi}[(N n_y \zeta_{th})^{\xi}-1] \hspace{1cm} for \ \xi \neq 0\\
       th + \sigma_{th} log(N n_y\zeta_{th})\hspace{1.4cm} for \ \xi = 0
    \end{array}
\right.
$

Therefore, if we want to calculate the return level associated with a return period of 10 years, $m=10 \times n_y$.

**But how can we compute the probability of being above the threshold and, thus, observing an excess, $P[X>th] = \zeta_{th}$?**

We'll see it after an intermezzo!

