# Risk Analysis

This book splits risk into two parts: risk *analysis* and risk *evaluation.* This chapter considers the analysis of risks from a broad perspective, beginning with definitions and key steps of a risk analysis, illustrated quantitatively through an FN curve. The next two chapters explore quantitative analyses (component and system reliability) before returning to risk evaluation concepts of decision theory, cost benefit analysis and safety standards, where the principal focus is on making decisions and answering the question 'how safe is safe enough?'

```{admonition} MUDE exam information
:class: tip, dropdown
You should understand the definition of risk and recognize the steps in a risk analysis (no need to memorize the details of every step). It is very important that you are able to construct a risk curve, given a set of scenarios (typically not more than 3 on the exam).
```

% The relationship between safety standards and engineering design is indicated in section 3.6...may be useful to add

% It is noted that a (probabilistic) risk analysis is different  from a (deterministic) scenario analysis. A risk analysis is based on quantitative analysis of all (known) undesired events and their probabilities and consequences. A scenario analysis considers one (or a limited number) of design scenarios, often without considering its failure probability. Both approaches are complementary, as a scenario analysis considers one of the scenarios from the risk analysis. 

% In the Netherlands, scenario analysis is often used for evaluating disaster preparedness and designing the capabilities of emergency management services. For example, in the design of the Green Heart Tunnel which is a part of the high speed rail line in the Netherlands, a single accident scenario was chosen to design the emergency exits out of the tunnel. Analysing a high impact, low probability scenario in detail may provide helpful clues about the effectiveness of particular safety measures or crisis management actions. While such analyses may be helpful, it would be wrong to assume that such high-impact, low probability scenarios should always be properly manageable by emergency responders. This is because the probability of harm should be an integral part of any cost-benefit or cost-effectiveness analysis (Jongejan et al., 2011).