% Not included in 2022-23 version (was last section of decision theory part)
(utility)=
# Utility functions

```{admonition} MUDE Exam Information
:class: tip
The material on this page is not required for the exam.
```

The elaborations in the previous section were based on monetary values as a metric for outcomes and a risk neutral decision maker. This section will provide some basic information on utility functions and various risk attitudes.

Utility is a concept used to rank the possible outcomes according to the preferences of the decision maker. Utility $(\textit u)$ values are between $0\leq \textit{u}(\omega)\leq 1$. A utility function can be used to characterize the relative utility of various outcomes. The utility function depends on the preferences and attitude of the decision maker. An example of three different utility functions is given in Figure {numref}`utility-example` for an example of an activity with potential monetary benefits between € 0 and € 1000. In the case of a risk neutral decision maker the utility increases linearly with the benefits. In the case of the risk aversion relatively small benefits are already given a high utility. A risk seeking decision maker gives a relatively low value to smaller benefits, but high utility values to larger incomes. 

```{figure} ../../figures/pd/utility-example.png
---
height: 300px
name: utility-example
---
Example of a utility function for monetary benefits.
```

 ```{admonition} Example: a bet

The utility functions can be applied to a simple example. Assume that a student has the chance to receive a guranteed payout of €400. Alternatively, a bet can be organized with a $p$ =  0.5 chance of a payout of € 800, and a (1-$p$) = 0.5 chance of no payout. A risk neutral decision maker would be indifferent between both choices, as they have the same expected outcome – i.e. €400 gain – and a utility value of $u$(€400) = $\p\cdot u$(\unicode{0x20AC}800)+(1-$\textit p$)$\textit u$(€0)= 0.4.  

We now apply the two other utility functions. For the risk averse function  we find the following:

The expected utility of the direct payout equals $u_{R A}( \unicode{0x20AC} 400 )=0.75$

The expected utility of the bet becomes: $0.5 u_{R A}(\unicode{0x20AC} 800)+0.5 u_{R A}(\unicode{0x20AC} 0)=0.5 \cdot 0.97+0.5 \cdot 0=0.485$  

In this case the expected utility of the direct payout is higher and this is the preferred decision of the risk averse decision maker. For the risk seeking function  we find the following:

The expected utility of the direct payout equals $u_{R A}( \unicode{0x20AC} 400 )$  = 0.1 .  
The expected utility of the bet becomes: $0.5 u_{R S}(\unicode{0x20AC} 800)+0.5 u_{R S}(\unicode{0x20AC} 0)=0.5 \cdot 0.57+0.5 \cdot 0=0.285$   
In this case the expected utility of the bet is higher. The preferred decision of the risk seeking decision maker is the bet.

So for the example of the bet, the risk neutral decision maker is indifferent between the bet and the direct payout. The risk averse decision maker would accept a lower payout, rather than taking the bet. The risk seeking decision maker accepts the bet, even if the guaranteed payout is higher than the expected outcomes of the bet. The same concept can also be applied to losses, a decision-maker can be risk averse against events with large consequences. For example, a civil engineering company could be risk averse in making decisions about bidding for projects with financial risks that could threaten the financial stability of the company. On the other hand, a government with a large portfolio of projects may actask  more risk neutral. The various risk attitudes can also play a role in making investment decisions (see also 3.4.2). A risk averse investor would prefer investments (such as bonds or guaranteed loans with relatively low expected returns) over investments in stocks that have higher expected returns, but also a higher chance of losing money. The principle of risk aversion is also related to decisions about insurances. For example, most people are risk averse against losing their belongings in a large house fire. They are willing to pay an annual premium that is higher than the expected losses due to the fire. Finally, a further discussion of a related risk aversion concept regarding  s accidents with large numbers of fatalities is included in section 3.5.
```